<mat-card *ngIf="bizuth==null">
  Cet adhérent n'est pas inscrit au Wei. Les primo-entrants sont censés s'inscrire eux-même mais vous pouvez le
  forcer depuis cette interface d'administration<br/>
  <button (click)="ajouterAuWei()" color="warn" mat-raised-button>Inscrire au Wei</button>
</mat-card>
<mat-card *ngIf="bizuth != null" style="background-color: #fbfafa">
  <h2 class="texte-bleu" style="display: inline-block">{{bizuth.member.first_name}} {{bizuth.member.last_name}}</h2>
  {{bizuth.id}}ème
  <button color="primary" mat-button routerLink="/view/{{bizuth.member.id}}" style="float: right">
    <mat-icon>account_circle</mat-icon>
    Accéder à la fiche adhérent
  </button>
  <mat-chip-list>
    <mat-chip
      *ngIf="dossierValide(); else incomplet"
      color="primary" disabled
      selected>
      Dossier complet
    </mat-chip>
    <ng-template #incomplet>
      <mat-chip color="warn" disabled selected>Dossier incomplet</mat-chip>
    </ng-template>
    <mat-chip disabled>{{bizuth.est_mineur ? "Mineur" : "Majeur"}}</mat-chip>
    <mat-chip *ngIf="bizuth.participant" color="primary" disabled selected>Participant</mat-chip>
    <mat-chip color="secondary" disabled selected>{{bizuth.member.gender == 'W' ? 'Femme' : 'Homme'}}</mat-chip>
  </mat-chip-list>

  <h3 class="section-titre">Informations</h3>
  <div class="inset flex-parent">
    <div class="flex-child">
      Date de naissance<br/>
      Âge au Wei
    </div>
    <div class="flex-child inset">
      {{bizuth.member.birthday | date: "d/M/yyyy": "fr-FR"}}<br/>
      {{bizuth.age_au_wei}}
    </div>
  </div>
  <br/>

  <h3 class="section-titre">Inscription</h3>
  <table class="inset">
    <tr>
      <td>Date</td>
      <td>{{bizuth.date_inscription | date: "d/M/yyyy à hh:mm": "fr-FR"}}</td>
    </tr>
    <tr>
      <td>Caution</td>
      <td>
        <app-wei-caution-info-span [bizuth]="bizuth"></app-wei-caution-info-span>
      </td>
      <td>
        <app-wei-caution-btn (updatedBizuth)="setBizuth($event)" [bizuth]="bizuth"></app-wei-caution-btn>
      </td>
    </tr>
    <tr>
      <td>Autorisation parentale</td>
      <td>
        <app-wei-authorisation-parentale-info-span [bizuth]="bizuth"></app-wei-authorisation-parentale-info-span>
      </td>
      <td>
        <app-wei-authorisation-parentale-btn (updatedBizuth)="setBizuth($event)"
                                             [bizuth]="bizuth"></app-wei-authorisation-parentale-btn>
      </td>
    </tr>
  </table>
  <br/>

  <br/>
  <hr/>
  <h3 class="section-titre">Paiement</h3>
  <table class="inset">
    <tr>
      <td>Chèque Wei</td>
      <td>
        <app-wei-cheque-received-info-span [bizuth]="bizuth"></app-wei-cheque-received-info-span>
      </td>
      <td>
        <app-wei-cheque-received-btn (updatedBizuth)="setBizuth($event)"
                                     [bizuth]="bizuth"></app-wei-cheque-received-btn>
      </td>
    </tr>
    <tr>
      <td>Chèque VA</td>
      <td>
        <app-va-cheque-received-info-span [member]="bizuth.member"></app-va-cheque-received-info-span>
      </td>
      <td>
        <app-va-cheque-received-btn (updatedMember)="updateMemberForBizuth($event)"
                                    [member]="bizuth.member"></app-va-cheque-received-btn>
      </td>
    </tr>
  </table>
  <app-wei-moyen-paiement (changed)="changePaymentMethodView($event)" [bizuth]="bizuth"
                          [showButton]="false"></app-wei-moyen-paiement>
  <br/>
  Carte VA &nbsp; &nbsp; &nbsp;
  <span *ngIf="bizuth.member.has_valid_card" class="oui">récupérée</span>
  <span *ngIf="!bizuth.member.has_valid_card" class="non">pas récupérée</span>
  <!-- attention, uilise l'effet de bord que les biz n'ont pas déjà eu de carte VA -->
  <hr/>

  <form (ngSubmit)="submitChanges(form.value)" [formGroup]="form">
    <h3 class="section-titre">Bus & Bungalow</h3>
    <app-wei-bus-bungalow-fields [bizuth]="bizuth" [form]="form"></app-wei-bus-bungalow-fields>

    <h3 class="section-titre">Remarques, régime & santé</h3>
    <app-wei-remarques-regime-fields [form]="form"></app-wei-remarques-regime-fields>
    <br/>

    <button color="primary" mat-raised-button type="submit">
      Enregistrer
    </button> &nbsp;
  </form>
</mat-card>

<mat-card *ngIf="bizuth != null" style="margin-top: 1rem">
  <h2>Actions</h2>
  <button (click)="changeParticipant(true)" [disabled]="bizuth.participant" color="primary" mat-raised-button>Ajouter
    aux participants
  </button> &nbsp;
  <button (click)="changeParticipant(false)" [disabled]="!bizuth.participant" color="accent" mat-raised-button>Retirer
    des participants
  </button>
  <br/>

  <p>
    <button (click)="delete()" color="warn" mat-raised-button>Désinscrire définitivement du Wei</button> &nbsp; Efface
    toutes les informations relatives au Wei pour ce primo-entrant de la base de données
  </p>
</mat-card>
